#include "common/text_translate.h"
#include <string>

/** \fn QT_TRANSLATE_NOOP_UTF8

Die bersetzung der Texte dieser Klassen wird mit Hilfe
des Makros QT_TRANSLATE_NOOP_UTF8 von lupdate erfasst
und in die TS-Dateien bernommen.

Da das Makro QT_TRANSLATE_NOOP_UTF8 lediglich den
bergebenen Text zurckgibt, funktioniert somit das dynamische
laden des bersetzten Textes nicht. Hierzu wurde nun
Das Makro durch eine entsprechende Funktion gleichen Namens
ersetzt und somit funktioniert auch das bersetzten der
Texte Dynamisch.
*/

std::string g_text;

const char *QT_TRANSLATE_NOOP_UTF8( const std::string &scope, const std::string &text )
{
#ifdef QT_CORE_LIB
    g_text = QCoreApplication::translate( scope.c_str(), text.c_str() ).toLocal8Bit().toStdString();
#else
    g_text = text;
#endif
    return g_text.c_str();
}
